Unit tsf86r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, SF86R_p;

function tsf86r: String;

implementation

function tsf86r: String;
var
N,_i :Integer;
RM,VARS,X0 :Real;
P :Array [0..10] of Real;
const
X :Array [0..9] of Real = ( 0.05,0.15,0.25,0.35,0.45,0.55,0.65,0.75,0.85,
0.95 );
begin
Result := '';  {   }
RM := 2.0;
VARS := 1.0;
N := 10;
X0 := 0.0;
SF86R(RM,VARS,N,X,X0,P);
Result := Result + #$0D#$0A;
for _i:=0 to 10 do
 begin
  Result := Result + Format('%16.7f ',[P[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tsf86r',Result);  {     tsf86r.res }
exit;
end;

end.
